Examples

POST /katello/api/flatpak_remote_repositories/657037483/mirror
{
  "product_name": "Empty Product",
  "flatpak_remote_repository": {}
}
400
{
  "message": "Organization must be specified when providing product by name.",
  "errors": [
    "Organization must be specified when providing product by name."
  ]
}

Params

Param name Description
id
required

Flatpak remote repository numeric identifier

Validations:

  • Must be a number.

product_id
optional

Product ID to mirror the remote repository to

Validations:

  • Must be a number.

product_name
optional

Name of the product to mirror the remote repository to

Validations:

  • String

organization_id
optional

organization identifier

Validations:

  • Must be a number.

dependency_ids
optional

Array of dependency repository IDs to mirror along with the main repository

Validations:

  • Must be an array of any type